Bug 1099854 - [as7] Incorrect expression in pre-defined dynagroup definition named Managed Servers in server-group
Summary: [as7] Incorrect expression in pre-defined dynagroup definition named Managed ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins, Resource Grouping
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
: RHQ 4.12
Assignee: Libor Zoubek
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 1102562
Blocks: JON3-5
TreeView+ depends on / blocked
 
Reported: 2014-05-21 11:06 UTC by Filip Brychta
Modified: 2015-11-02 00:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 11:36:32 UTC


Attachments (Terms of Use)

Description Filip Brychta 2014-05-21 11:06:18 UTC
Description of problem:
Following expression:

groupby resource.resourceConfiguration[group]
resource.type.plugin = JBossAS7
resource.type.name = Managed Server

groups managed servers just by resource.resourceConfiguration[group] which means that managed servers from different domains are included into one group when they belong to a server group with the same name.

Version-Release number of selected component (if applicable):
Version :	
4.12.0-SNAPSHOT
Build Number :	
494e428

How reproducible:
Always

Steps to Reproduce:
1. go to Inventory->Groups->Dynagroup definitions and open dynagroup definition named 'Managed Servers in server-group'


Actual results:
Expression is incorrect. Managed servers from different domains are included into one group when they belong to a server group with the same name.

Expected results:
Managed servers are grouped by server group and domain

Comment 1 Libor Zoubek 2014-06-24 11:24:38 UTC
in master

commit c0563e461933295696e73ae86cc0c8a08860806d
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue Jun 24 13:17:42 2014 +0200

    [BZ 1099854] [BZ 1097698]- [as7] Incorrect expression in pre-defined
    
    Provided expressions fixed - now taking into account domain-name trait.
    
    Managed Servers in domain : now generates groups per domain-name = set of
    all managed servers on all hostrcontrollers grouped by domain-name
    
    Managed Servers in server-group: now generates sets grouped by domain-name
    and server-group name.
    
    I also fixed provided expression called 'Deployments in server-group' -
    which was relying on Deployment resources under server-groups (recently
    removed)

Comment 2 Filip Brychta 2014-06-25 09:07:20 UTC
Verified on
Version :	
4.12.0-SNAPSHOT
Build Number :	
1d836a7

Comment 3 Heiko W. Rupp 2014-12-15 11:36:32 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.